Bug 1650952 - java-openjdk conflicts with file from libgcc
Summary: java-openjdk conflicts with file from libgcc
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: 29
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-18 00:51 UTC by Samster
Modified: 2019-01-10 13:16 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-10 13:16:41 UTC


Attachments (Terms of Use)

Description Samster 2018-11-18 00:51:03 UTC
Description of problem:

Fresh install today of Fedora 29/KDE Spin; immediately ran software update, and all's well. Then installed LibreOffice which includes java-openjdk. Subsequent attempt to run software update fails with:

**Error running transaction: file /usr/lib/.build-id/2f from install of java-openjdk-1:10.0.2.13-7.fc29.x86_64 conflicts with file from package libgcc-8.2.1-2.fc29.x86_64**


Version-Release number of selected component (if applicable):


How reproducible: See above.


Steps to Reproduce:
1.
2.
3.

Actual results:
Java software update fails.

Expected results:
Java software will update without error / conflict.

Additional info:

Comment 1 Mark Wielaard 2018-11-18 02:03:18 UTC
That is weird. Those packages do contain the same directory, but they are exactly the same:

rpm -q --dump libgcc-8.2.1-2.fc29.x86_64.rpm | grep 2f\  
/usr/lib/.build-id/2f 0 1533181292 0000000000000000000000000000000000000000000000000000000000000000 040755 root root 0 0 0 X

$ rpm -q --dump java-openjdk-1:10.0.2.13-7.fc29.x86_64 | grep 2f\  
/usr/lib/.build-id/2f 0 1535049503 0000000000000000000000000000000000000000000000000000000000000000 040755 root root 0 0 0 X

Also if I uninstall java-openjdk, but keep libgcc installed, things install fine:


$ rpm -q libgcc.x86_64
libgcc-8.2.1-2.fc29.x86_64
$ sudo yum install java-openjdk
Last metadata expiration check: 0:42:31 ago on Sun 18 Nov 2018 02:18:15 AM CET.
Dependencies resolved.
=======================================================================================================================================
 Package                          Arch                       Version                                  Repository                  Size
=======================================================================================================================================
Installing:
 java-openjdk                     x86_64                     1:10.0.2.13-7.fc29                       fedora                     210 k

Transaction Summary
=======================================================================================================================================
Install  1 Package

Total download size: 210 k
Installed size: 583 k
Is this ok [y/N]: y
Downloading Packages:
java-openjdk-10.0.2.13-7.fc29.x86_64.rpm                                                               4.3 MB/s | 210 kB     00:00    
---------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                  131 kB/s | 210 kB     00:01     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                                                                               1/1 
Installed: java-openjdk-1:10.0.2.13-7.fc29.x86_64
  Installing       : java-openjdk-1:10.0.2.13-7.fc29.x86_64                                                                        1/1 
  Running scriptlet: java-openjdk-1:10.0.2.13-7.fc29.x86_64                                                                        1/1 
Installed: java-openjdk-1:10.0.2.13-7.fc29.x86_64
  Verifying        : java-openjdk-1:10.0.2.13-7.fc29.x86_64                                                                        1/1 

Installed:
  java-openjdk-1:10.0.2.13-7.fc29.x86_64                                                                                               

Complete!

Comment 2 Samster 2018-11-18 13:48:14 UTC
My fresh installation doesn't include the java package you apparently removed (java-openjdk-1:10.0.2.13-7.fc29.x86_64) from yours -- or so it seems.

These are the java packages on my PC:

  java-1.8.0-openjdk-headless-1.8.0.191.b12-8.fc29.x86_64
  java-11-openjdk-headless-11.0.ea.28-2.fc29.x86_64
  javapackages-tools-5.3.0-1.fc29.noarch
  javapackages-filesystem-5.3.0-1.fc29.noarch
  *java-11-openjdk-11.0.ea.28-2.fc29.x86_64*


When I try to remove 'java-11-openjdk' it fails:

[root@localhost ~]# rpm -e java-11-openjdk
error: Failed dependencies:
        java is needed by (installed) pentaho-libxml-1.1.3-18.fc29.noarch
[root@localhost ~]# rpm -e --force java-11-openjdk
rpm: only installation and upgrading may be forced

Comment 3 Samster 2018-11-18 19:38:41 UTC
hmmmm . . . one PC mysteriously cured itself(?), the other I resolved taking a note from Mark's playbook: 

dnf remove java-openjdk (operation removed LibreOffice)
dnf install java-openjdk
dnf install libreoffice

Thank You for your help!

Comment 4 Panu Matilainen 2019-01-10 13:16:41 UTC
> [root@localhost ~]# rpm -e --force java-11-openjdk
> rpm: only installation and upgrading may be forced

--force is only useful for forcing install over file conflicts and such, for dependency issues you need --nodeps instead.

As for the conflict itself, dunno. The symptoms sound like what happens when replacing a directory with a symlink in an upgrade, this typically goes away by removing old version and installing new. The curious thing is that looking at java-openjdk-1:10.0.2.13-7.fc29.x86_64 git history, such a version doesn't seem to have existed at all.

Anyway, this seems to be an isolated incident for one reason or other, and without a reproducer there's not a whole lot to do. Closing, but feel free to reopen if it resurfaces.


Note You need to log in before you can comment on or make changes to this bug.